/*
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 * File:  "$Id: toutio.h,v 1.1 2009/07/15 11:05:16 webmail Exp $"
 *
 * First Created on 2008/11/11 by jonas_liu@openfind.com.tw
 * Last Modified on "$Date: 2009/07/15 11:05:16 $" by  $Author: webmail $
 *
 * Copyright (c)2009 Openfind Information Technology INC.
 * All rights reserved.
 */

#ifndef __TOUTIO_H
#define __TOUTIO_H

#ifdef  __cplusplus
        extern "C" {
#endif

ssize_t tread(int fd, void *buf, size_t len, int secs);
ssize_t treadn(int fd, void *buf, size_t len, int secs);
ssize_t twrite(int fd, void *buf, size_t len, int secs);
ssize_t twriten(int fd, void *buf, size_t len, int secs);

#ifdef  __cplusplus
        }
#endif

#endif
