/*
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 * File:  "$Id: cav_log.h,v 1.3 2009/07/15 09:31:54 webmail Exp $"
 *
 * First Created on 2008/11/11 by jonas_liu@openfind.com.tw
 * Last Modified on "$Date: 2009/07/15 09:31:54 $" by  $Author: webmail $
 *
 * Copyright (c)2009 Openfind Information Technology INC.
 * All rights reserved.
 */

#ifndef __CAV_LOG_H__
#define __CAV_LOG_H__

#undef	__ENABLE_LOG_STDOUT
#undef	__ENABLE_LOG_FILE

#define	LOG_INFO			"INFO"
#define	LOG_ERROR		"ERROR"

#define	LOG_FILEPATH	MAILHOME"/ClamAV/log/cav_core.log"

#define	INFO(...)	_LOG(LOG_INFO, __FILE__, __LINE__, (char *)__FUNCTION__, __VA_ARGS__)
#define	ERROR(...)	_LOG(LOG_ERROR, __FILE__, __LINE__, (char *)__FUNCTION__, __VA_ARGS__)

void _LOG(char *pcType, char *pcFile, int nLen, char *pcFunc, const char *fmt, ...);

#endif
